V0 - Manage values (externalId)
Replaces or extends the values on a custom dimension’s list. Send the request body with the full intended value set; the server reconciles against the existing values, matching by external id where applicable. Use this from integrations that sync dimension catalogs (e.g. cost-center lists) from an external system.
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": [
{
"id": "<string>",
"value": "<string>",
"sortOrder": 123,
"startDate": "<string>",
"endDate": "<string>"
}
]
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/"
payload = { "values": [
{
"id": "<string>",
"value": "<string>",
"sortOrder": 123,
"startDate": "<string>",
"endDate": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: [
{
id: '<string>',
value: '<string>',
sortOrder: 123,
startDate: '<string>',
endDate: '<string>'
}
]
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
[
'id' => '<string>',
'value' => '<string>',
'sortOrder' => 123,
'startDate' => '<string>',
'endDate' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/"
payload := strings.NewReader("{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"listKey": "CUSTOM_DIMENSIONS_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4_8ab28cb36ccde07d016ccdfb47d00216",
"lastUpdated": "2026-05-28T14:35:00Z"
}{
"result": "error",
"description": "custom field list not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Findity API version. Use 3 for the current admin API.
Standard application/json content type.
Path Parameters
The external source id of the organization
The external id of the dimension
Query Parameters
When true, propagates value-removals to expense records that already reference the removed value. Defaults to false, which preserves historical references.
When true, clears the existing values before inserting the request-body set. Defaults to false, which keeps unmentioned values intact.
Body
Response
OK
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": [
{
"id": "<string>",
"value": "<string>",
"sortOrder": 123,
"startDate": "<string>",
"endDate": "<string>"
}
]
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/"
payload = { "values": [
{
"id": "<string>",
"value": "<string>",
"sortOrder": 123,
"startDate": "<string>",
"endDate": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: [
{
id: '<string>',
value: '<string>',
sortOrder: 123,
startDate: '<string>',
endDate: '<string>'
}
]
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
[
'id' => '<string>',
'value' => '<string>',
'sortOrder' => 123,
'startDate' => '<string>',
'endDate' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/"
payload := strings.NewReader("{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/{definitionExternalId}/list/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": [\n {\n \"id\": \"<string>\",\n \"value\": \"<string>\",\n \"sortOrder\": 123,\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"listKey": "CUSTOM_DIMENSIONS_a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4_8ab28cb36ccde07d016ccdfb47d00216",
"lastUpdated": "2026-05-28T14:35:00Z"
}{
"result": "error",
"description": "custom field list not found"
}
